libzypp: zypp::env Namespace Reference

libzypp 17.38.11

zypp::env Namespace Reference

Namespace intended to collect all environment variables we use. More...

## Classes
class | ScopedSet
| Temporarily set/unset an environment variable. More...

## Functions
bool | ZYPP_PLUGIN_APPDATA_FORCE_COLLECT ()
| To trigger appdata refresh unconditionally.
std::string | ZYPP_REPO_RELEASEVER ()
| Use faked releasever (e.g.
bool | ZYPP_REPOMD_WITH_OTHER ()
bool | ZYPP_REPOMD_WITH_FILELISTS ()
int | LIBSOLV_DEBUGMASK ()
bool | ZYPP_RPM_DEBUG ()
bool | TRANSACTIONAL_UPDATE ()
std::optional< Pathname > | ZYPP_CONF ()
Pathname | ZYPP_LOCKFILE_ROOT ()
| Hack to circumvent the currently poor –root support.
TriBool | getenvBool (const C_Str &var_r)
| If the environment variable var_r is set to a legal `true` or `false` string return `bool`, else `indeterminate`.
const long & | ZYPP_MEDIA_CURL_DEBUG ()
| `const` long& for setting CURLOPT_DEBUGDATA Returns a reference to a static variable, so it's safe to pass it's address to CURLOPT_DEBUGDATA.
int | ZYPP_MEDIA_CURL_IPRESOLVE ()
| 4/6 to force IPv4/v6
bool | ZYPP_METALINK_DEBUG ()
| Hack to circumvent the currently poor –root support.
bool | inYAST ()
bool | PX_DEBUG ()

## Detailed Description

Namespace intended to collect all environment variables we use.

## Function Documentation

## ◆ ZYPP_PLUGIN_APPDATA_FORCE_COLLECT()

bool zyppng::env::ZYPP_PLUGIN_APPDATA_FORCE_COLLECT | ( |  | ) |
| inline

To trigger appdata refresh unconditionally.

Definition at line 55 of file repomanager.cc.

## ◆ ZYPP_REPO_RELEASEVER()

std::string zypp::env::ZYPP_REPO_RELEASEVER | ( |  | ) |
| inline

Use faked releasever (e.g.

for 'zupper dup' to next distro version

Definition at line 36 of file RepoVariables.cc.

## ◆ ZYPP_REPOMD_WITH_OTHER()

bool zypp::env::ZYPP_REPOMD_WITH_OTHER | ( |  | ) |

Definition at line 18 of file RepomdFileCollector.cc.

## ◆ ZYPP_REPOMD_WITH_FILELISTS()

bool zypp::env::ZYPP_REPOMD_WITH_FILELISTS | ( |  | ) |

Definition at line 27 of file RepomdFileCollector.cc.

## ◆ LIBSOLV_DEBUGMASK()

int zypp::env::LIBSOLV_DEBUGMASK | ( |  | ) |
| inline

Definition at line 61 of file PoolImpl.cc.

## ◆ ZYPP_RPM_DEBUG()

bool zypp::env::ZYPP_RPM_DEBUG | ( |  | ) |
| inline

Definition at line 80 of file RpmDb.cc.

## ◆ TRANSACTIONAL_UPDATE()

bool zypp::env::TRANSACTIONAL_UPDATE | ( |  | ) |
| inline

Definition at line 87 of file TargetImpl.cc.

## ◆ ZYPP_CONF()

std::optional< Pathname > zypp::env::ZYPP_CONF | ( |  | ) |
| inline

Definition at line 46 of file ZConfig.cc.

## ◆ ZYPP_LOCKFILE_ROOT()

Pathname zypp::env::ZYPP_LOCKFILE_ROOT | ( |  | ) |
| inline

Hack to circumvent the currently poor –root support.

Definition at line 76 of file ZYppFactory.cc.

## ◆ getenvBool()

TriBool zypp::env::getenvBool | ( | const C_Str & | var_r | ) |
| inline

If the environment variable var_r is set to a legal `true` or `false` string return `bool`, else `indeterminate`.

True is: "1", "yes", "true", "always", "on", "+", a number !=0 False is: "0", "no", "false", "never", "off" "-"

Definition at line 32 of file Env.h.

## ◆ ZYPP_MEDIA_CURL_DEBUG()

const long & zypp::env::ZYPP_MEDIA_CURL_DEBUG | ( |  | ) |

`const` long& for setting CURLOPT_DEBUGDATA Returns a reference to a static variable, so it's safe to pass it's address to CURLOPT_DEBUGDATA.

Definition at line 36 of file curlhelper.cc.

## ◆ ZYPP_MEDIA_CURL_IPRESOLVE()

int zypp::env::ZYPP_MEDIA_CURL_IPRESOLVE | ( |  | ) |

4/6 to force IPv4/v6

Definition at line 45 of file curlhelper.cc.

## ◆ ZYPP_METALINK_DEBUG()

bool zypp::env::ZYPP_METALINK_DEBUG | ( |  | ) |
| inline

Hack to circumvent the currently poor –root support.

Definition at line 30 of file metalinkparser.cc.

## ◆ inYAST()

bool zypp::env::inYAST | ( |  | ) |
| inline

Definition at line 34 of file proxyinfolibproxy.cc.

## ◆ PX_DEBUG()

bool zypp::env::PX_DEBUG | ( |  | ) |
| inline

Definition at line 40 of file proxyinfolibproxy.cc.